%define name 	metakit
%define version 2.4.9.2
%define release 2mdk

%define major 	0
%define libname %mklibname %{name} %{major}

Summary: 	Embeddable database
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	%{name}-%{version}.tar.bz2
Patch:		%name-%version-version.patch.bz2
URL: 		http://www.equi4.com/metakit/
BuildRequires:	tcl python-devel

%description
MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%package -n %{libname}
Summary: Main library for %{name}
Group: System/Libraries
Provides: %name = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary: Files to compile programs that will use %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %libname-devel = %version-%release

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %name-python
Summary: Python bindings for %name
Group: System/Libraries
Requires: %libname python
Provides: Mk4py mk4py

%description -n %name-python
Python bindings for %name

%package -n %name-tcl
Summary: Tcl bindings for %name
Group: System/Libraries
Requires: %libname tcl
Provides: Mk4tcl mk4tcl

%description -n %name-tcl
Tcl bindings for %name

%prep
%setup -q
rm -rf builds/tests/CVS
cd unix
%patch

%build
cd unix
perl -pi -e "s/^CXXFLAGS.*/CXXFLAGS = $RPM_OPT_FLAGS/" Makefile.in
cd ../builds
CONFIGURE_TOP="../unix" %configure2_5x --enable-python --with-python=/usr --with-tcl=/usr/include
make

%install
mkdir -p %buildroot/%_libdir/python2.2/site-packages
cd builds
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc README CHANGES MetaKit.html doc demos examples WHATSNEW
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*

%files -n %name-python
%defattr(-, root, root)
%doc README
%_libdir/python2.2/site-packages/Mk4py.so
%_libdir/python2.2/site-packages/metakit.py

%files -n %name-tcl
%defattr(-, root, root)
%doc README
/usr/lib/Mk4tcl

%changelog
* Mon Apr  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.9.2-2mdk
- add another provides to the -devel

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 2.4.9.2-1mdk
- cleanup spec
- update
- use mklibname
- add docs, demos
- add python and tcl extensions
- redo patch

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.6-3mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.6-2mdk
- rebuild

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.6-1mdk
- recompile against latest libstdc++
- new version
- provide library version so that we can use dynamic library as usual

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.3-1mdk
- first mdk release as a separate package (was previously inside simgear)
